Loading...
Searching...
No Matches
apr_time.h File Reference

APR Time Library. More...

`#include "apr.h"`
`#include "apr_errno.h"`
`#include "apr_pools.h"`
Include dependency graph for apr_time.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | apr_time_exp_t

## Macros

#define | APR_TIME_C(val) APR_INT64_C(val)
#define | APR_TIME_T_FMT APR_INT64_T_FMT
#define | APR_USEC_PER_SEC APR_TIME_C(1000000)
#define | apr_time_sec(time) ((time) / APR_USEC_PER_SEC)
#define | apr_time_usec(time) ((time) % APR_USEC_PER_SEC)
#define | apr_time_msec(time) (((time) / 1000) % 1000)
#define | apr_time_as_msec(time) ((time) / 1000)
#define | apr_time_from_msec(msec) ((apr_time_t)(msec) * 1000)
#define | apr_time_from_sec(sec) ((apr_time_t)(sec) * APR_USEC_PER_SEC)
#define | apr_time_make(sec, usec)
#define | APR_RFC822_DATE_LEN (30)
#define | APR_CTIME_LEN (25)

## Typedefs

typedef apr_int64_t | apr_time_t
typedef apr_int64_t | apr_interval_time_t
typedef apr_int32_t | apr_short_interval_time_t
typedef struct apr_time_exp_t | apr_time_exp_t

## Functions

apr_time_t | apr_time_now (void)
apr_status_t | apr_time_ansi_put (apr_time_t *result, time_t input)
apr_status_t | apr_time_exp_tz (apr_time_exp_t *result, apr_time_t input, apr_int32_t offs)
apr_status_t | apr_time_exp_gmt (apr_time_exp_t *result, apr_time_t input)
apr_status_t | apr_time_exp_lt (apr_time_exp_t *result, apr_time_t input)
apr_status_t | apr_time_exp_get (apr_time_t *result, apr_time_exp_t *input)
apr_status_t | apr_time_exp_gmt_get (apr_time_t *result, apr_time_exp_t *input)
void | apr_sleep (apr_interval_time_t t)
apr_status_t | apr_rfc822_date (char *date_str, apr_time_t t)
apr_status_t | apr_ctime (char *date_str, apr_time_t t)
apr_status_t | apr_strftime (char *s, apr_size_t *retsize, apr_size_t max, const char *format, apr_time_exp_t *tm)
void | apr_time_clock_hires (apr_pool_t *p)

## Variables

const char | apr_month_snames [12][4]
const char | apr_day_snames [7][4]

## Detailed Description

APR Time Library.